summaryrefslogtreecommitdiffstats
path: root/gis
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2014-02-02 00:56:27 +0100
committer Robby Workman2014-02-02 09:09:51 +0100
commit3810c074f7c3fce35a8036814397051026f6dfb1 (patch)
tree252ca88a35c08a4313ce99a78d77f42bde48398d /gis
parentad9c858ef06e72f736f510a3426ffd0d877f885c (diff)
downloadslackbuilds-3810c074f7c3fce35a8036814397051026f6dfb1.tar.gz
gis/proj: Moved from System category.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'gis')
-rw-r--r--gis/proj/README3
-rw-r--r--gis/proj/jni.patch11
-rw-r--r--gis/proj/proj.SlackBuild92
-rw-r--r--gis/proj/proj.info10
-rw-r--r--gis/proj/slack-desc19
5 files changed, 135 insertions, 0 deletions
diff --git a/gis/proj/README b/gis/proj/README
new file mode 100644
index 0000000000..373aeed2c4
--- /dev/null
+++ b/gis/proj/README
@@ -0,0 +1,3 @@
+proj is a standard UNIX filter function which converts geographic
+longitude and latitude coordinates into cartesian coordinates by means
+of a wide variety of cartographic projection functions.
diff --git a/gis/proj/jni.patch b/gis/proj/jni.patch
new file mode 100644
index 0000000000..5b69aba8bf
--- /dev/null
+++ b/gis/proj/jni.patch
@@ -0,0 +1,11 @@
+diff -Nur proj-4.8.0.a/src/jniproj.c proj-4.8.0.b/src/jniproj.c
+--- proj-4.8.0.a/src/jniproj.c 2012-02-20 17:11:24.000000000 -0800
++++ proj-4.8.0.b/src/jniproj.c 2012-12-29 22:04:56.199425359 -0800
+@@ -49,7 +49,6 @@
+ #include <math.h>
+ #include <string.h>
+ #include "projects.h"
+-#include "org_proj4_PJ.h"
+ #include <jni.h>
+
+ #define PJ_FIELD_NAME "ptr"
diff --git a/gis/proj/proj.SlackBuild b/gis/proj/proj.SlackBuild
new file mode 100644
index 0000000000..3dc2f780c9
--- /dev/null
+++ b/gis/proj/proj.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for proj
+# Written by Kyle Guinn <elyk03@gmail.com>
+# Maintained by Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+
+PRGNAM=proj
+VERSION=${VERSION:-4.8.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM-$VERSION
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+# remove header that is no longer part of source
+patch -p1 < $CWD/jni.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l); do \
+ ln -s $(readlink $i).gz $i.gz; \
+ rm $i; \
+ done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/proj/proj.info b/gis/proj/proj.info
new file mode 100644
index 0000000000..1847ef37c0
--- /dev/null
+++ b/gis/proj/proj.info
@@ -0,0 +1,10 @@
+PRGNAM="proj"
+VERSION="4.8.0"
+HOMEPAGE="http://trac.osgeo.org/proj/"
+DOWNLOAD="http://download.osgeo.org/proj/proj-4.8.0.tar.gz"
+MD5SUM="d815838c92a29179298c126effbb1537"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/gis/proj/slack-desc b/gis/proj/slack-desc
new file mode 100644
index 0000000000..522f281201
--- /dev/null
+++ b/gis/proj/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+proj: proj (Cartograpic projection procedures)
+proj:
+proj: proj is a standard UNIX filter function which converts geographic
+proj: longitude and latitude coordinates into cartesian coordinates by
+proj: means of a wide variety of cartographic projection functions.
+proj:
+proj:
+proj:
+proj:
+proj:
+proj: